oracle.pg.hbase

## Class OracleElement

- java.lang.Object
- - oracle.pg.hbase.OracleElement

- All Implemented Interfaces:
    Element, MesgConsts
  Direct Known Subclasses:
    OracleEdge, OracleVertex

      public abstract class OracleElement
      extends Object
      implements Element, MesgConsts

  This class implements the Blueprints Element interface by using an Apache HBase back-end.

- - ### Field Summary

    - ### Fields inherited from interface oracle.pg.common.MesgConsts

      `ERR_ARG_CANNOT_BE_NULL, ERR_CODE_NOT_IN_LIST, ERR_DOP_CONSTRAINT, ERR_E_DS_MUSTBE_FILE_OR_IS, ERR_E_MAX_LINE_CONSTRAINT, ERR_EDGE_DIR_NOT_BOTH, ERR_GRAPH_NAME_CANT_BENULL, ERR_HIT_EXCEPTION, ERR_HIT_INTERRUPT, ERR_HIT_IO, ERR_HIT_OPGE, ERR_HIT_PARSEE, ERR_ID_CANNOT_BE_NULL, ERR_IDX_KEY_CANNOT_BE_NULL, ERR_IN_DS_EDGE_CANTBE_NULL, ERR_IN_DS_VERT_CANTBE_NULL, ERR_IN_E_FLAT_DOESNT_EXIST, ERR_IN_V_FLAT_DOESNT_EXIST, ERR_INVALID_NUM_FIELDS, ERR_INVALID_NUM_NOARG, ERR_INVALID_NUMBER, ERR_INVALID_VAL, ERR_KEY_CANNOT_BE_ID, ERR_KEY_CANNOT_BE_NULL, ERR_KEY_NOT_SET_TO, ERR_NO_ELEM_TO_BE_CONSUMED, ERR_NO_OP_SUPPORTED, ERR_NOT_IMPLEMENTED_YET, ERR_NOT_ORACLE_V_E, ERR_NUM_PART_CONSTRAINT, ERR_OFFSET_CONSTRAINT, ERR_OFFSET_E_MUST_BE_POS, ERR_OFFSET_V_MUST_BE_POS, ERR_PG_ALREADY_EXISTS, ERR_PG_NOT_EMPTY, ERR_SIZE_MUST_BE_POS, ERR_TIMEOUT_TAB_CREATION, ERR_TYPE_ID_NOT_RECO, ERR_UNSUPPORTED_VAL_TYP, ERR_USER_REQ_OP_CANCEL, ERR_V_DS_MUSTBE_FILE_OR_IS, ERR_V_MAX_LINE_CONSTRAINT, ERR_VALUE_CANNOT_BE_NULL, INFO_EMP_K_NO_P_VAL, INFO_NUL_K_NO_P_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `forceRefresh()` Re-read the attributes about this graph element from the database.
    `String` | `getAttributes()` Returns a String of all the Key, Value Pairs.
    `Long` | `getId()` An identifier that is unique to its inheriting class.
    `Object` | `getProperty(String key)` Return the object value associated with the provided string key.
    `OraclePropertyGraph` | `getPropertyGraph()` Gets the property graph instance associated to this vertex
    `Set<String>` | `getPropertyKeys()` Return all the keys associated with the element.
    `boolean` | `isPartial()` Returns TRUE if this object is partially constructed.
    `void` | `refresh()` Re-read the attributes about this graph element from the database if this element is only partially constructed.
    `Object` | `removeProperty(String key)` Un-assigns a key/value property from the element.
    `void` | `setPartial(boolean partial)` Set a flag to denote if this graph element is only partially constructed.
    `void` | `setProperty(String key, Object value)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue, boolean skipLucene)` Assign a key/value property to the element.
    `void` | `setPropertyCommon(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `remove`

- - ### Constructor Detail

    - #### OracleElement

          public OracleElement()

  - ### Method Detail

    - #### forceRefresh

          public abstract void forceRefresh()
                                     throws Exception

      Re-read the attributes about this graph element from the database.
      Throws:
        `Exception`

    - #### getAttributes

          public String getAttributes()

      Returns a String of all the Key, Value Pairs.

    - #### getId

          public Long getId()

      An identifier that is unique to its inheriting class.
      Specified by:
        `getId` in interface `Element`

    - #### getProperty

          public Object getProperty(String key)

      Return the object value associated with the provided string key.
      Specified by:
        `getProperty` in interface `Element`

    - #### getPropertyGraph

          public OraclePropertyGraph getPropertyGraph()

      Gets the property graph instance associated to this vertex
      Returns:
        a OraclePropertyGraph object

    - #### getPropertyKeys

          public Set<String> getPropertyKeys()

      Return all the keys associated with the element.
      Specified by:
        `getPropertyKeys` in interface `Element`

    - #### isPartial

          public boolean isPartial()

      Returns TRUE if this object is partially constructed. For example, a vertex with just an ID but not the K/V pairs. Or an edge with just an ID but not the in/out vertices or edge label.

    - #### refresh

          public void refresh()

      Re-read the attributes about this graph element from the database if this element is only partially constructed.

    - #### removeProperty

          public Object removeProperty(String key)

      Un-assigns a key/value property from the element.
      Specified by:
        `removeProperty` in interface `Element`

    - #### setPartial

          public void setPartial(boolean partial)

      Set a flag to denote if this graph element is only partially constructed. For example, a vertex with just an ID but not the K/V pairs. Or an edge with just an ID but not the in/out vertices or edge label.
      Parameters:
        `partial` - true if this graph element is only partially constructed.

    - #### setProperty

          public void setProperty(String key,
                         Object value)

      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `Element`

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue)

      Assign a key/value property to the element.
      Parameters:
        `key` - key of an attribute (K/V pair)
        `value` - value of an attribute (K/V pair)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queye.

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue,
                         boolean skipLucene)

      Assign a key/value property to the element.
      Parameters:
        `key` - key of the attribute (K/V)
        `value` - value of the attribute (K/V)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queue.
        `skipLucene` - when true, then this K/V pair will not be indexed

    - #### setPropertyCommon

          public void setPropertyCommon(String key,
                               Object value,
                               boolean skipQueue)

      Assign a key/value property to the element.
      Parameters:
        `key` - key of an attribute (K/V pair)
        `value` - value of an attribute (K/V pair)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queye.

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.